# Uses of Enum Class
org.stianloader.picoresolve.exclusion.ExclusionContainer.ExclusionMode

Packages that use ExclusionContainer.ExclusionMode
Package
Description
org.stianloader.picoresolve.exclusion

## Uses of ExclusionContainer.ExclusionMode in org.stianloader.picoresolve.exclusion

Methods in org.stianloader.picoresolve.exclusion that return ExclusionContainer.ExclusionMode
Modifier and Type
Method
Description
`@NotNull ExclusionContainer.ExclusionMode`
ExclusionContainer.`getMode()`
`static ExclusionContainer.ExclusionMode`
ExclusionContainer.ExclusionMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExclusionContainer.ExclusionMode[]`
ExclusionContainer.ExclusionMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.stianloader.picoresolve.exclusion with parameters of type ExclusionContainer.ExclusionMode
Modifier
Constructor
Description
``
`ExclusionContainer(@NotNull ExclusionContainer.ExclusionMode mode)`
``
`ExclusionContainer(@NotNull ExclusionContainer.ExclusionMode mode, @NotNull Collection<@NotNull ? extends T> exclusions, boolean mutable)`